gtkmm: Glib::Value<::Cairo::RefPtr< T >, typename std::enable_if< std::is_base_of<::Cairo::Region, T >::value||std::is_base_of<::Cairo::Surface, T >::value >::type > Class Template Reference

gtkmm 4.10.0

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Glib::Value<::Cairo::RefPtr< T >, typename std::enable_if< std::is_base_of<::Cairo::Region, T >::value||std::is_base_of<::Cairo::Surface, T >::value >::type > Class Template Reference

Specialization of Glib::Value<> for Cairo::RefPtr<Cairo::Region> and Cairo::RefPtr<Cairo::Surface>. More...

`#include <gdkmm/value_cairo.h>`

Inheritance diagram for Glib::Value<::Cairo::RefPtr< T >, typename std::enable_if< std::is_base_of<::Cairo::Region, T >::value||std::is_base_of<::Cairo::Surface, T >::value >::type >:
[legend]

## Public Types
using | CppType = ::Cairo::RefPtr< T >
using | CType = typename T::cobject

## Public Member Functions
void | set (const CppType &data)
CppType | get () const
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| ValueBase (const ValueBase &other)
ValueBase & | operator= (const ValueBase &other)
| ~ValueBase () noexcept
void | init (GType type)
void | init (const GValue *value)
void | reset ()
GValue * | gobj ()
const GValue * | gobj () const

## Static Public Member Functions
static GType | value_type ()
Static Public Member Functions inherited from Glib::ValueBase_Boxed
static GType | value_type ()

## Additional Inherited Members
Protected Member Functions inherited from Glib::ValueBase_Boxed
void | set_boxed (const void *data)
void * | get_boxed () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Detailed Description

template<typename T>
class Glib::Value<::Cairo::RefPtr< T >, typename std::enable_if< std::is_base_of<::Cairo::Region, T >::value||std::is_base_of<::Cairo::Surface, T >::value >::type >

Specialization of Glib::Value<> for Cairo::RefPtr<Cairo::Region> and Cairo::RefPtr<Cairo::Surface>.

## Member Typedef Documentation

## ◆ CppType

template <typename T >

using Glib::Value<::Cairo::RefPtr< T >, typename std::enable_if< std::is_base_of<::Cairo::Region, T >::value||std::is_base_of<::Cairo::Surface, T >::value >::type >::CppType = ::Cairo::RefPtr<T>

## ◆ CType

template <typename T >

using Glib::Value<::Cairo::RefPtr< T >, typename std::enable_if< std::is_base_of<::Cairo::Region, T >::value||std::is_base_of<::Cairo::Surface, T >::value >::type >::CType = typename T::cobject

## Member Function Documentation

## ◆ get()

template <typename T >

CppType Glib::Value<::Cairo::RefPtr< T >, typename std::enable_if< std::is_base_of<::Cairo::Region, T >::value||std::is_base_of<::Cairo::Surface, T >::value >::type >::get | ( |  | ) | const
| inline

## ◆ set()

template <typename T >

void Glib::Value<::Cairo::RefPtr< T >, typename std::enable_if< std::is_base_of<::Cairo::Region, T >::value||std::is_base_of<::Cairo::Surface, T >::value >::type >::set | ( | const CppType & | data | ) |
| inline

## ◆ value_type()

template <typename T >

static GType Glib::Value<::Cairo::RefPtr< T >, typename std::enable_if< std::is_base_of<::Cairo::Region, T >::value||std::is_base_of<::Cairo::Surface, T >::value >::type >::value_type | ( |  | ) |
| inlinestatic